import { BaseNodeClassWithDisplayFlag, BaseNodeType } from '../_Base';
declare type DisplayControllerCallback = () => void;
export interface DisplayNodeControllerCallbacks {
    on_display_node_remove: DisplayControllerCallback;
    on_display_node_set: DisplayControllerCallback;
    on_display_node_update: DisplayControllerCallback;
}
export declare class DisplayNodeController {
    protected node: BaseNodeType;
    private _initialized;
    private _graph_node;
    private _display_node;
    private _on_display_node_remove_callback;
    private _on_display_node_set_callback;
    private _on_display_node_update_callback;
    constructor(node: BaseNodeType, callbacks: DisplayNodeControllerCallbacks);
    dispose(): void;
    get display_node(): BaseNodeClassWithDisplayFlag | undefined;
    initializeNode(): void;
    set_display_node(new_display_node: BaseNodeClassWithDisplayFlag | undefined): Promise<void>;
}
export {};
